Subject: Improvement suggestion for creation of next [Was: linux-next: manual merge of the dmaengine tree with the driver-core tree]

From: Uwe Kleine-König <[email-masked]>
Date: Wed, 28 Jul 2021 09:10:14 +0200

Hello Stephen,

On Fri, Jul 23, 2021 at 03:53:54PM +1000, Stephen Rothwell wrote:
> Today's linux-next merge of the dmaengine tree got a conflict in:
> 
>   drivers/dma/idxd/sysfs.c
> 
> between commit:
> 
>   fc7a6209d571 ("bus: Make remove callback return void")
> 
> from the driver-core tree and commit:
> 
>   d9e5481fca74 ("dmaengine: dsa: move dsa_bus_type out of idxd driver to standalone")
> 
> from the dmaengine tree.

I intended to take a look at the resolution that Vinod pushed in his
tree. To find his tree and the right branch my approach in such a
situation is usually:

	uwe@taurus:~/gsrc/linux$ git name-rev d9e5481fca74
	d9e5481fca74 tags/next-20210722~22^2~2

so it was merged in tags/next-20210722~22, looking at that I see:

	uwe@taurus:~/gsrc/linux$ git show tags/next-20210722~22
	commit 65da974af6a0d913cde0cf59f517322bceac24a7
	...
	    Merge remote-tracking branch 'dmaengine/next'

and then I have to lookup what dmaengine/next means in next-20210722:

	uwe@taurus:~/gsrc/linux$ git show next-20210722 | grep dmaen
	...
	+dmaengine	git	git://git.kernel.org/pub/scm/linux/kernel/git/vkoul/dmaengine.git#next
	...

You could save me the last step if you used

	git pull dmaengine next

instead of

	git merge dmaengine/next

because then the commit message of tags/next-20210722~22 would be:

	Merge branch 'next' of git://git.kernel.org/pub/scm/linux/kernel/git/vkoul/dmaengine.git

which is much more useful than

	Merge remote-tracking branch 'dmaengine/next'

. Otherwise the result should be the same (apart from fetching the
changes a tad later maybe).

Thanks for considering
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | https://www.pengutronix.de/ |